Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528178 - radvd initscript lsb compliance
Summary: radvd initscript lsb compliance
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: radvd
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-10-09 15:07 UTC by Yulia Kopkova
Modified: 2014-11-09 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-18 20:49:42 UTC
Type: ---


Attachments (Terms of Use)

Description Yulia Kopkova 2009-10-09 15:07:43 UTC
Description of problem:

According to https://fedoraproject.org/wiki/Packaging/SysVInitScript radvd
component init script have one lsb compliance issue:

1. Starting already started service should not fail and should return code "0"
# service radvd start ; echo $?
Starting radvd:                                            [  OK  ]
0
[root@localhost ~]# service radvd start ; echo $?
Starting radvd:                                            [FAILED]
1
now: 1
expected: 0

2. force-reload action should be supported by init script

3. Not really cleart where should be a .pid file located :)
- radvd init script says it's: # pidfile: /var/run/radvd.pid

- running service shows it in /var/run/radvd/radvd.pid
# service radvd start
Starting radvd:                                            [  OK  ]
# ls -l /var/run/radvd/*
-rw-r--r--. 1 radvd radvd 5 2009-10-09 17:03 /var/run/radvd/radvd.pid

- stopped service with radvd.pid exsits:
# service radvd stop ; echo $?
Stopping radvd:                                            [  OK  ]
0
# touch /var/run/radvd/radvd.pid
# service radvd status ; echo $?
radvd is stopped
3
# touch /var/run/radvd.pid
# service radvd status ; echo $?
radvd dead but pid file exists
1

Comment 1 Jiri Skala 2009-10-18 20:49:42 UTC
1. fixed
2. fixed
3. I found pid file always in the path /var/run/radvd.pid. Also after reinstall. There is -p parameter to redirect target path of pid file. No another idea why you have pid file one level deeper. Maybe changes in initscript pkg?


Note You need to log in before you can comment on or make changes to this bug.